/*
 ** 全局变量
 ** 全局函数
 ** 公共js 所有页面都需要加载
 */

var locHref = window.location.href; //url链接
var $sessionStorage = window.sessionStorage; //存储session
var $localStorage = window.localStorage; //存数localStorage
var index_php; //用于判定首页
// 参数说明：数据库名(user) | 版本号(1.0) | 数据库描述(userinformation) | 数据库大小(2*1024*1024  2mb) | 创建回调
// 本地数据库
/*
 ** 详细说明
 ** 作用：存储用户的个人资料
 ** 用户个人不更改资料则直接读取本地数据库
 ** 用户更改资料则更新本地数据库并和后台数据对接
 ** 减少数据请求
 */
//var localdb = openDatabase('user', '1.0', 'userinformation', 2 * 1024 * 1024, function(localdb){});

//定义全局的使用iscoll的插件
var myscroll;
//百度的轻应用的key
var baiduApiKey = "4tjhI1dx8WPmCIKtl365x7Xg";

//定义站点和城市的flag
var siteFlag = 0;
//全局url配置管理
var configUrl;

//后期增加桌面提醒功能，即推送功能



var bd_info, //百度登录用户的用户信息。
	bd_sign, //请求参数签名。
	app_id, //轻应用的app_id,对于申请了多个轻应用的第三方，需要维护app_id 和应用secret key 的关联关系。
	bd_framework; //表示当前轻应用的打开环境是否为百度框，如果为1 表示百度框的话，则轻应用不显示顶部的binner。

//全局变量和方法
var globe = {
	//创建弹出层
	createDialog: function(stri, type, callback, othercall) {
		var that = this;
		//判断是否已经选择过

		var _h = $("body").height();
		var _w = $("html").width();
		var str = "";
		str += '<div class="modal" style="width:' + _w + 'px;height:' + _h + 'px;z-index:19;display:block;"></div>';
		str += '<div class="popup_wrap" style="top: 170px; display: block;z-index:20;">';
		str += '<section class="popup find_popup">';
		str += '<header>提示信息</header>';
		str += '<article>';
		str += '<p>' + stri + '</p>';
		str += '</article>';
		str += '<footer>';
		if (type == 2) {
			str += '<a href="javascript:;" class="ic_yellow">取消</a><a href="javascript:;" class="ic_roseo">确定</a>';
		} else if (type == 1) {
			str += '<a href="javascript:;" class="ic_roseo">确定</a>';
		}
		str += '</footer>';
		str += '</section>';
		str += '</div>';
		$("body").append(str);
		if (type == 2) {
			//绑定事件
			$("body").on(that.linkFn, ".popup_wrap .ic_yellow", function() {
				if (othercall) {
					othercall();
				}
				//$sessionStorage.setItem("chooseSite","true");
				that.revmoePop();
			});

			$('body').on('touchend', ".popup_wrap .ic_yellow", function(e) {
				// 改变了事件名称，tap是在body上才被触发，而touchend是原生的事件，在dom本身上就会被捕获触发
				e.preventDefault(); // 阻止“默认行为”
			});
		} else if (type == 1) {
			//绑定事件
			$("body").on(that.linkFn, ".popup_wrap .ic_roseo", function() {
				that.revmoePop();
			});
		}

		$(".popup_wrap .ic_roseo").bind(that.linkFn, function() {
			if (callback) {
				callback();
			}
		});

		$('body').on('touchend', ".popup_wrap .ic_roseo", function(e) {
			// 改变了事件名称，tap是在body上才被触发，而touchend是原生的事件，在dom本身上就会被捕获触发
			e.preventDefault(); // 阻止“默认行为”
		});
	},
	
	
	
	
	//获得coolie 的值
	cookie: function(name) {
		var _cookieStr = document.cookie;

		var cookieArray = _cookieStr.split("; "); //得到分割的cookie名值对
		for (var i = 0; i < cookieArray.length; i++) {
			var arr = cookieArray[i].split("="); //将名和值分开   
			if (arr[0] == name) return decodeURIComponent(arr[1]); //如果是指定的cookie，则返回它的值   
		}
		return "";
	},
	//删除cookie
	delCookie: function(name) {
		var date = new Date();
		date.setTime(date.getTime() - 10000);
		document.cookie = name + "=;expires=" + (new Date(0)).toGMTString();
	},
	//获取指定名称的cookie的值
	getCookie: function(objName) {
		var arrStr = document.cookie.split(";");
		for (var i = 0; i < arrStr.length; i++) {
			var temp = arrStr[i].split("=");
			if (temp[0] == objName) return decodeURIComponent(temp[1]);
		}
	},
	isPc: function() {
		var that = this;
		if (/AppleWebKit.*Mobile/i.test(navigator.userAgent) || (/MIDP|SymbianOS|NOKIA|SAMSUNG|LG|NEC|TCL|Alcatel|BIRD|DBTEL|Dopod|PHILIPS|HAIER|LENOVO|MOT-|Nokia|SonyEricsson|SIE-|Amoi|ZTE/.test(navigator.userAgent))) {
			if (window.location.href.indexOf("?mobile") < 0) {
				try {
					if (/Android|webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent)) {
						that.linkFn = "singleTap";
					} else if (/iPad/i.test(navigator.userAgent)) {
						that.linkFn = "singleTap";
					} else {
						that.linkFn = "click";
					}
				} catch (e) {}
			}
		} else {
			that.linkFn = "click";
		}
	},
	
};

globe.isPc();

$(function() {
	//swipe
	if ($(".swiper-main").length != 0) {
		//初始化banner
		var swiper = new Swiper('.swiper-banner', {
			pagination: '.pagination', //下方分页提示
			loop: true, //是否循环
			autoPlay: 3000 //若要自动播放，更改为"1000"等即可
		});
		$('.pagination .swiper-pagination-switch').click(function() {
			swiper.swipeTo($(this).index())
		});
		$(".swiper-banner .swiper-slide a").each(function() {
			var h = $(this).width() / 320 * 130;
			$(this).height(h);
		});
	}
});

